ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/REPOS_ERICCA/magicsld/RCProp.vb
Revision: 48
Committed: Wed Aug 22 21:18:12 2007 UTC (17 years, 8 months ago) by bournival
File size: 24222 byte(s)
Log Message:
On passe aux nouveaux .dll

File Contents

# User Rev Content
1 bournival 48 Imports SolidWorks.Interop
2     Imports SolidWorks.Interop.swconst
3     Imports SolidWorks.Interop.swpublished
4 bournival 40
5     ' la classe des propriétés
6    
7     Namespace RealConstant
8     Public Class RealConstant
9     Dim iSwApp As SldWorks.SldWorks
10     Dim userAddin As MAGIC.Magic
11     Dim handler As RCPageHandler
12 bournival 48 Dim ppage As sldworks.PropertyManagerPage2
13 bournival 40
14     #Region "Property Manager Page Controls"
15     'Groupes
16 bournival 48 Dim group1 As sldworks.PropertyManagerPageGroup
17     Dim group2 As sldworks.PropertyManagerPageGroup
18     Dim group3 As sldworks.PropertyManagerPageGroup
19 bournival 40
20     ''Controles
21 bournival 48 Dim combo1 As sldworks.PropertyManagerPageCombobox
22     Dim combo2 As sldworks.PropertyManagerPageCombobox
23     Dim combo3 As sldworks.PropertyManagerPageCombobox
24     Dim selection1 As sldworks.PropertyManagerPageSelectionbox
25 bournival 40 Dim CheckBox1 As SldWorks.PropertyManagerPageCheckbox
26     Dim CheckBox2 As SldWorks.PropertyManagerPageCheckbox
27 bournival 48 Dim selection2 As sldworks.PropertyManagerPageSelectionbox
28     Dim selection3 As sldworks.PropertyManagerPageSelectionbox
29     Dim Numberbox1 As sldworks.PropertyManagerPageNumberbox
30     Dim Numberbox2 As sldworks.PropertyManagerPageNumberbox
31     Dim NumberboxD1 As sldworks.PropertyManagerPageNumberbox
32     Dim NumberboxD2 As sldworks.PropertyManagerPageNumberbox
33     Dim NumberboxD3 As sldworks.PropertyManagerPageNumberbox
34     Dim NumberboxD4 As sldworks.PropertyManagerPageNumberbox
35     Dim NumberboxD5 As sldworks.PropertyManagerPageNumberbox
36     Dim NumberboxD6 As sldworks.PropertyManagerPageNumberbox
37     Dim Numberbox5 As sldworks.PropertyManagerPageNumberbox
38     Dim Numberbox6 As sldworks.PropertyManagerPageNumberbox
39     Dim Label1 As sldworks.PropertyManagerPageLabel
40     Dim Label2 As sldworks.PropertyManagerPageLabel
41     Dim Label3 As sldworks.PropertyManagerPageLabel
42     Dim Label4 As sldworks.PropertyManagerPageLabel
43     Dim Label5 As sldworks.PropertyManagerPageLabel
44     Dim Label6 As sldworks.PropertyManagerPageLabel
45     Dim Label7 As sldworks.PropertyManagerPageLabel
46     Dim Label8 As sldworks.PropertyManagerPageLabel
47     Dim Label9 As sldworks.PropertyManagerPageLabel
48     Dim Label10 As sldworks.PropertyManagerPageLabel
49     Dim Label11 As sldworks.PropertyManagerPageLabel
50     Dim Label12 As sldworks.PropertyManagerPageLabel
51     Dim LabelD3 As sldworks.PropertyManagerPageLabel
52     Dim LabelD4 As sldworks.PropertyManagerPageLabel
53     Dim LabelD5 As sldworks.PropertyManagerPageLabel
54     Dim LabelD6 As sldworks.PropertyManagerPageLabel
55 bournival 40
56    
57    
58    
59     #End Region
60    
61     Function Init(ByVal sw As SldWorks.SldWorks, ByVal addin As MAGIC.Magic) As Object
62     iSwApp = sw
63     userAddin = addin
64     CreatePage()
65     AddControls()
66     Return Nothing
67     End Function
68    
69     Sub Show()
70     ppage.Show()
71     End Sub
72    
73     Sub CreatePage()
74     handler = New RCPageHandler
75     handler.Init(iSwApp, userAddin)
76     Dim options As Integer
77     Dim errors As Integer
78     options = swPropertyManagerPageOptions_e.swPropertyManagerOptions_OkayButton + swPropertyManagerPageOptions_e.swPropertyManagerOptions_CancelButton
79     ppage = iSwApp.CreatePropertyManagerPage("Poutres et coques", options, handler, errors)
80     End Sub
81    
82     Sub AddControls()
83     Dim options As Integer
84     Dim leftAlign As Integer
85     Dim controlType As Integer
86    
87     ' premier groupe, les poutres
88     options = swAddGroupBoxOptions_e.swGroupBoxOptions_Visible + swAddGroupBoxOptions_e.swGroupBoxOptions_Checkbox
89     group1 = ppage.AddGroupBox(0, "Propriété des poutres", options)
90     RCCode.GroupPoutre = group1
91    
92    
93     controlType = swPropertyManagerPageControlType_e.swControlType_Checkbox
94     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
95     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible
96     CheckBox1 = group1.AddControl(1, controlType, "Utiliser la face comme section de la poutre", leftAlign, options, "La face intersectant la poutre correspond à la section de la poutre")
97     RCCode.RCCheckFacedeSection = CheckBox1
98    
99     Label1 = group1.AddControl(2, swPropertyManagerPageControlType_e.swControlType_Label, "Choisir le matériau", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "choisir le matériau si la poutre n'est pas du matériau par défaut")
100    
101     controlType = swPropertyManagerPageControlType_e.swControlType_Combobox
102     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
103     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
104     combo1 = group1.AddControl(2, controlType, "Matériau pour cette poutre", leftAlign, options, "Définir le matériau qui sera utilisé pour cette poutre") '"Choix du type de condition à appliquer à (aux) entité(s) sélectionnée(s)")
105     If Not combo1 Is Nothing Then
106     combo1.Height = 500
107     combo1.Style = swPropMgrPageComboBoxStyle_e.swPropMgrPageComboBoxStyle_EditableText
108     End If
109     combo1.Style = SwConst.swPropMgrPageComboBoxStyle_e.swPropMgrPageComboBoxStyle_Sorted
110     RCCode.RCcombo1 = combo1
111    
112    
113     Label9 = group1.AddControl(3, swPropertyManagerPageControlType_e.swControlType_Label, "Choisir une poutre dans la base de donnée", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "Une poutre choisie parmis celles dans la base de donnée entrera automatiquement les valeurs d'inertie et autre")
114    
115     ' combo2, poutre de la bibliothèque
116     controlType = swPropertyManagerPageControlType_e.swControlType_Combobox
117     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
118     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
119     combo2 = group1.AddControl(4, controlType, "Utiliser une poutre de la bibliothèque", leftAlign, options, "Utilisez une des poutres standard définie dans la bibliothèque pour ses constantes") '"Choix du type de condition à appliquer à (aux) entité(s) sélectionnée(s)")
120     If Not combo2 Is Nothing Then
121     combo2.Height = 500
122     End If
123     combo2.Style = SwConst.swPropMgrPageComboBoxStyle_e.swPropMgrPageComboBoxStyle_Sorted
124     RCCode.RCcombo2 = combo2
125    
126    
127     Label2 = group1.AddControl(5, swPropertyManagerPageControlType_e.swControlType_Label, "Courbes", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "Sélectionnez les courbes qui deviendront des poutres")
128    
129     ' le selectionbox des courbes qui deviendront des poutres
130     controlType = swPropertyManagerPageControlType_e.swControlType_Selectionbox
131     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
132     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
133     selection1 = group1.AddControl(6, controlType, "Poutres", leftAlign, options, "Sélectionnez les poutres")
134     If Not selection1 Is Nothing Then
135     Dim filter() As Integer = New Integer() {swSelectType_e.swSelREFCURVES, swSelectType_e.swSelEDGES, swSelectType_e.swSelHELIX, swSelectType_e.swSelREFERENCECURVES}
136     selection1.Height = 50
137     selection1.SetSelectionFilters(filter)
138     End If
139     RCCode.RCselection1 = selection1
140    
141     Label3 = group1.AddControl(7, swPropertyManagerPageControlType_e.swControlType_Label, "Troisième point", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "Le point qui sert à définir l'orientation de la section de la poutre. Il pointe dans la direction principale pour l'inertie.")
142    
143     ' le selectionbox des points pour l'orientation de la direction principale
144     ' attention, il faudrait revoir les filtres...
145     controlType = swPropertyManagerPageControlType_e.swControlType_Selectionbox
146     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
147     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
148     selection2 = group1.AddControl(8, controlType, "Troisième point", leftAlign, options, "Sélectionnez le point qui indiquera la direction principale")
149     If Not selection2 Is Nothing Then
150     Dim filter() As Integer = New Integer() {swSelectType_e.swSelVERTICES, swSelectType_e.swSelEXTSKETCHPOINTS} ', swSelectType_e.swSelMIDPOINTS, swSelectType_e.swSelPOINTREFS, swSelectType_e.swSelPOINTREFS}
151     selection2.Height = 15
152     selection2.SetSelectionFilters(filter)
153     End If
154     selection2.SingleEntityOnly = True
155     'selection2.Mark = 1
156     RCCode.RCselection2 = selection2
157    
158    
159     Label6 = group1.AddControl(13, swPropertyManagerPageControlType_e.swControlType_Label, "Dimension D1", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "La longueur D1")
160     RCCode.LabelD1 = Label6
161     'Numberbox3, D1
162     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
163     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
164     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
165     NumberboxD1 = group1.AddControl(14, controlType, "Longueur D1", leftAlign, options, "Entrez la valeur de la longueur D1")
166     NumberboxD1.Value = 0.005
167     NumberboxD1.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_Length, 0.000001, 5000, 0.001, True)
168     RCCode.RCNumberboxD1 = NumberboxD1
169    
170    
171     Label7 = group1.AddControl(15, swPropertyManagerPageControlType_e.swControlType_Label, "Dimension D2", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "La longueur D2")
172     RCCode.LabelD2 = Label7
173     'Numberbox4, longueur dans la diretion secondaire (largeur)
174     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
175     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
176     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
177     NumberboxD2 = group1.AddControl(16, controlType, "Longueur D2", leftAlign, options, "Entrez la valeur de la longueur D2")
178     NumberboxD2.Value = 0.003
179     NumberboxD2.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_Length, 0.00001, 5000, 0.001, True)
180     RCCode.RCNumberboxD2 = NumberboxD2
181    
182    
183     LabelD3 = group1.AddControl(17, swPropertyManagerPageControlType_e.swControlType_Label, "Dimension D3", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "La longueur D3")
184     RCCode.LabelD3 = LabelD3
185     'Numberbox4, longueur dans la diretion secondaire (largeur)
186     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
187     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
188     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
189     NumberboxD3 = group1.AddControl(18, controlType, "Longueur D3", leftAlign, options, "Entrez la valeur de la longueur D3")
190     NumberboxD3.Value = 0.003
191     NumberboxD3.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_Length, 0.00001, 5000, 0.001, True)
192     RCCode.RCNumberboxD3 = NumberboxD3
193    
194     LabelD4 = group1.AddControl(19, swPropertyManagerPageControlType_e.swControlType_Label, "Dimension D4", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "La longueur D4")
195     RCCode.LabelD4 = LabelD4
196     'Numberbox4, longueur dans la diretion secondaire (largeur)
197     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
198     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
199     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
200     NumberboxD4 = group1.AddControl(20, controlType, "Longueur D4", leftAlign, options, "Entrez la valeur de la longueur D4")
201     NumberboxD4.Value = 0.003
202     NumberboxD4.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_Length, 0.00001, 5000, 0.001, True)
203     RCCode.RCNumberboxD4 = NumberboxD4
204    
205    
206     LabelD5 = group1.AddControl(17, swPropertyManagerPageControlType_e.swControlType_Label, "Dimension D5", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "La longueur D5")
207     RCCode.LabelD5 = LabelD5
208     'Numberbox4, longueur dans la diretion secondaire (largeur)
209     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
210     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
211     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
212     NumberboxD5 = group1.AddControl(22, controlType, "Longueur D5", leftAlign, options, "Entrez la valeur de la longueur D5")
213     NumberboxD5.Value = 0.003
214     NumberboxD5.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_Length, 0.00001, 5000, 0.001, True)
215     RCCode.RCNumberboxD5 = NumberboxD5
216    
217     LabelD6 = group1.AddControl(19, swPropertyManagerPageControlType_e.swControlType_Label, "Dimension D6", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "La longueur D6")
218     RCCode.LabelD6 = LabelD6
219     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
220     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
221     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
222     NumberboxD6 = group1.AddControl(24, controlType, "Longueur D6", leftAlign, options, "Entrez la valeur de la longueur D6")
223     NumberboxD6.Value = 0.003
224     NumberboxD6.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_Length, 0.00001, 5000, 0.001, True)
225     RCCode.RCNumberboxD6 = NumberboxD6
226    
227    
228     Label8 = group1.AddControl(30, swPropertyManagerPageControlType_e.swControlType_Label, "Aire de la section", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "L'aire de la section de la poutre")
229     'Numberbox5, aire de la section
230     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
231     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
232     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
233     Numberbox5 = group1.AddControl(31, controlType, "Aire de la section [m^2]", leftAlign, options, "Entrez l'aire de la section de la poutre")
234     Numberbox5.Value = 10
235     Numberbox5.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_UnitlessDouble, 0, 10000000, 10, True)
236     RCCode.RCNumberbox5 = Numberbox5
237    
238     Label4 = group1.AddControl(9, swPropertyManagerPageControlType_e.swControlType_Label, "Ixx [m^4]", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "Valeur de l'inertie selon l'axe des y de la poutre (Iyy)")
239     'Numberbox1, Inertie direction principale
240     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
241     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
242     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
243     Numberbox1 = group1.AddControl(10, controlType, "Inertie en Ixx", leftAlign, options, "Valeur de l'inertie selon l'axe des x de la poutre (Ixx)")
244     Numberbox1.Value = 1000
245     Numberbox1.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_UnitlessDouble, 0, 10000000000.0, 1000, True)
246     RCCode.RCNumberbox1 = Numberbox1
247    
248     Label5 = group1.AddControl(11, swPropertyManagerPageControlType_e.swControlType_Label, "Iyy [m^4]", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "Valeur de l'inertie dans la direction secondaire, perpendiculaire à la direction du troisième point")
249     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
250     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
251     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
252     Numberbox2 = group1.AddControl(12, controlType, "Inertie dans la direction perpendiculaire Iyy", leftAlign, options, "Entrez la valeur de l'inertie dans la direction secondaire")
253     Numberbox2.Value = 1000
254     Numberbox2.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_UnitlessDouble, 0, 10000000000.0, 1000, True)
255     RCCode.RCNumberbox2 = Numberbox2
256    
257    
258     ' deuxième groupe pour les coques
259     options = swAddGroupBoxOptions_e.swGroupBoxOptions_Visible + swAddGroupBoxOptions_e.swGroupBoxOptions_Checkbox
260     group2 = ppage.AddGroupBox(32, "Propriété des coques", options)
261     RCCode.GroupCoque = group2
262    
263     Label10 = group2.AddControl(33, swPropertyManagerPageControlType_e.swControlType_Label, "Choisir le matériau", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "choisir le matériau si la coque n'est pas du matériau par défaut")
264    
265     ' combo3, le matériau de la coque
266    
267     controlType = swPropertyManagerPageControlType_e.swControlType_Checkbox
268     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
269     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible
270     CheckBox2 = group2.AddControl(40, controlType, "Utiliser la face comme section de la coque", leftAlign, options, "La face intersectant la coque correspond à la section de la coque")
271     RCCode.RCCheckFacedeSectionCoque = CheckBox2
272    
273    
274     controlType = swPropertyManagerPageControlType_e.swControlType_Combobox
275     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
276     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
277     combo3 = group2.AddControl(34, controlType, "Matériau pour cette coque", leftAlign, options, "Définir le matériau qui sera utilisé pour cette coque") '"Choix du type de condition à appliquer à (aux) entité(s) sélectionnée(s)")
278     If Not combo3 Is Nothing Then
279     combo3.Height = 40
280     combo3.Style = swPropMgrPageComboBoxStyle_e.swPropMgrPageComboBoxStyle_EditableText
281     End If
282     RCCode.RCcombo3 = combo3
283    
284     Label11 = group2.AddControl(35, swPropertyManagerPageControlType_e.swControlType_Label, "Sélectionnez les faces", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "Sélection des faces qui sont des coques")
285    
286    
287     ' selection3' pour les faces qui seront des coques
288     controlType = swPropertyManagerPageControlType_e.swControlType_Selectionbox
289     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
290     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
291     selection3 = group2.AddControl(36, controlType, "Faces", leftAlign, options, "Sélectionnez les faces qui seront des coques")
292     If Not selection3 Is Nothing Then
293     Dim filter() As Integer = New Integer() {swSelectType_e.swSelREFFACES, swSelectType_e.swSelREFSURFACES, swSelectType_e.swSelFACES}
294     selection3.Height = 50
295     selection3.SetSelectionFilters(filter)
296     End If
297     RCCode.RCselection3 = selection3
298    
299     Label12 = group2.AddControl(37, swPropertyManagerPageControlType_e.swControlType_Label, "Épaisseur", swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge, swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_Enabled, "Épaisseur de la coque")
300    
301     ' numberbox6, épaisseur de la coque
302     controlType = swPropertyManagerPageControlType_e.swControlType_Numberbox
303     leftAlign = swPropertyManagerPageControlLeftAlign_e.swControlAlign_LeftEdge
304     options = swAddControlOptions_e.swControlOptions_Enabled + swAddControlOptions_e.swControlOptions_Visible + swAddControlOptions_e.swControlOptions_SmallGapAbove
305     Numberbox6 = group2.AddControl(38, controlType, "Épaisseur de la coque", leftAlign, options, "Entrez l'épaisseur de cette (ces) coque(s)")
306     Numberbox6.Value = 0.01
307     Numberbox6.SetRange(SwConst.swNumberboxUnitType_e.swNumberBox_Length, 0.00000001, 10000000, 0.001, True)
308     RCCode.RCNumberbox6 = Numberbox6
309    
310     RCCode.PopulerCombo(True) ' pour mettre des valeurs dans les combobox
311     End Sub
312     End Class
313    
314    
315    
316    
317     End Namespace